Contents
Index 🔎︎

# Atn Function

Trigonometrijske funkcije koje vraćaju arctangens brojčane vrijednosti. Vrijednost vraćanja je u rangu od -Pi/2 do +Pi/2.

Arcrang je inverz tan trigonometrijske funkcije. Atn funkcija je kut "Alfa", izražen u radijanima, koristeći tangens kuta. Funkcija može također može vratiti kut "Alpha" uspoređivanjem odnosa duljine stranice koja je nasuprot kuta.

Atn(suprotna strana kuta/stranice poravnate prema kutu) = Alpha

### Syntax:

            Atn (Number)

### Return value:

Dvostruko

### Parameters:

Number: Any numerical expression that represents the ratio of two sides of a right triangle. The Atn function returns the corresponding angle in radians (arctangent).

Da biste pretvorili radijane u stupnjeve, pomnožite radijane sa 180/pi

degree=(radian*180)/pi

radian=(degree*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159. Pi is a Basic mathematical constant.

## Error codes:

5 Invalid procedure call

### Example:

            REM sljedeći primjer izračunava sa desnim kutom trokuta.
            REM kut Alpha od tangente kuta Alpha:
            Sub ExampleAtn
            REM oko Pi = 3.14159 je predefinirana konstanta
            Dim d1 As Double
            Dim d2 As Double
                d1 = InputBox("Enter the length of the side adjacent to the angle: ","Adjacent")
                d2 = InputBox("Enter the length of the side opposite the angle: ","Opposite")
                Print "The Alpha angle is"; (atn (d2/d1) * 180 / Pi); " degrees"
            End Sub